SND_SOC_DAI_SET_CHAN(9)

NAME
snd_soc_dai_set_channel_map - configure DAI audio channel map

SYNOPSIS

int snd_soc_dai_set_channel_map(struct snd_soc_dai * dai, unsigned int tx_num, unsigned int * tx_slot, unsigned int rx_num, unsigned int * rx_slot);

ARGUMENTS

dai
    DAI

tx_num
    how many TX channels

tx_slot
    pointer to an array which imply the TX slot number channel 0~num-1 uses

rx_num
    how many RX channels

rx_slot
    pointer to an array which imply the RX slot number channel 0~num-1 uses

DESCRIPTION

configure the relationship between channel number and TDM slot number.

COPYRIGHT